<?php
/**
*
* Sample das die Nutzung des ANTON REST apis exemplarisch zeigt
* 
* Sollte als Start für eigene Entwicklungen ausreichen.
* 
* Bei Fragen : Posting im Support-Channel in Slack
* 
*/
$err = E_ALL & ~E_NOTICE & E_DEPRECATED & ~E_STRICT;  // not those
$err = E_ALL;
error_reporting($err);

if (! defined ( 'STDIN' )) {
    echo "This script can't be called via a webbrowser ! It's a shell script running from commandline only or by cron !" . PHP_EOL;
    exit ( 1 );
}

require_once ('restapi.php');

// use "pear config-get php_dir" on shell to get the path
$pearpath = '/usr/share/php7/PEAR';

set_include_path ( get_include_path () . PATH_SEPARATOR . $pearpath );

require_once ('HTTP/Request2.php'); // pear HTTP_Client

require_once ('Zend/Json.php');

global $endpointUrl;


// modify appropriately
$endpointUrl = "https://ads.antoncloud.de/testtech_gmbh"."/webservice.php";  
$user = "ANTON";  // username in ANTON
$userAccessKey = 'mhxQmuGDvfC4qa9C';  // Zugangsschlüssel in personal settings

// authorize
$ret = vtiger_webservice_login ( $endpointUrl, $user, $userAccessKey); // will die if failure
if ($ret !== "getchallengefailed") {
    $sessionId = $ret ['sessionId'];
    $userId = $ret ['userId'];
} else {
    die ( "Connection to ".$surl." failed..." . PHP_EOL);
}

echo "Authentifiziert ....".PHP_EOL.PHP_EOL;

echo "Retrieve all moduls the authenticated user has access to and the fields (incl. label like in ANTON ".PHP_EOL;
echo "and the internal names of these fields which we have to use in the data read and written in der REST-APIs".PHP_EOL;
print_vtiger_info($endpointUrl,$sessionId);
echo "Information retrieved".PHP_EOL.PHP_EOL;

// query for a contact with a given mail address
$query = "select * from Contacts where email='anton@e-wert.de';";
$rec = query_record($endpointUrl,$sessionId,$query);

echo "Got : ".print_r($rec,true).PHP_EOL.PHP_EOL;

update_crm_record($rec);

echo "Updated".PHP_EOL;






